Package com.opensymphony.module.sitemesh.html.rules

# Class ContentBlockExtractingRule

java.lang.Object
com.opensymphony.module.sitemesh.html.BasicRule
com.opensymphony.module.sitemesh.html.BlockExtractingRule
com.opensymphony.module.sitemesh.html.rules.ContentBlockExtractingRule

All Implemented Interfaces:
  `TagRule`

public class ContentBlockExtractingRule extends BlockExtractingRule

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`contentBlockId`
`private final PageBuilder`
`page`

### Fields inherited from class com.opensymphony.module.sitemesh.html.BasicRule

`context`

## Constructor Summary

Constructors
Constructor
Description
`ContentBlockExtractingRule(PageBuilder page)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`end(Tag tag)`
`protected void`
`start(Tag tag)`

### Methods inherited from class com.opensymphony.module.sitemesh.html.BlockExtractingRule

`createBuffer, process`

### Methods inherited from class com.opensymphony.module.sitemesh.html.BasicRule

`currentBuffer, setContext, shouldProcess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### page

private final PageBuilder page

### contentBlockId

private String contentBlockId

## Constructor Details

### ContentBlockExtractingRule

public ContentBlockExtractingRule(PageBuilder page)

## Method Details

### start

protected void start(Tag tag)

Overrides:
  `start` in class `BlockExtractingRule`

### end

protected void end(Tag tag)

Overrides:
  `end` in class `BlockExtractingRule`